If Temple Knights are just like Elven Knights but more advanced, focusing on defense the Swordsinger is a little bit different. First of all their defense ability lacks the most among Knights. They use a skill called Sword Singing during party play or Siege Battle using skills of dance and other Supplementary Magic together to increase their party's experience. During party play or blood pledge war, Swordsingers are very useful but individual skills are behind Temple Knights.
Sword Singing is what you will mainly use, it restores your party members or blood pledge members HP, increases the evasion and the speed of movement. It is comparable to the Dark Elves' Bladedancer's dancing which is an offensive skill.
To be a Swordsinger, your level must be over 40 and you need to collect the Mark of the Challenger, the Mark of Life, and the Mark of the Duelist.
Ask about marks.
Return